 #ifndef _SPARC64_I2C_ENVCTRL
 #define _SPARC64_I2C_ENVCTRL
 
 enum pcf_envctrl_types {
 	TYPE_UNKNOWN = 0,
 	TYPE_ENVCTRL = 1,
 	TYPE_ENVCTRLTWO,
 	TYPE_RASCTRL,
 	TYPE_I2C,
 };
 typedef enum pcf_envctrl_types pcf_envctrl_type_t;
 
 struct pcf_envctrl_nexus {
 	pcf_envctrl_type_t	 type;
 	int			 i2c_id;
 	struct of_device         *ofdev;
 	spinlock_t               lock;
 };
 
 extern struct pcf_envctrl_nexus * pcf_envctrl_get_nexus(void);
 
 #endif /* _SPARC64_I2C_ENVCTRL */
