 /* $Id$
  * env_envctrltwo.h - SUNW,envctrltwo private definitions
  * Copyright (C) 2004-2005 Eric Brower (ebrower@gmail.com)
  */
 
 #ifndef _SPARC64_ENV_ENVCTRLTWO_H
 #define _SPARC64_ENV_ENVCTRLTWO_H
 
 /* 
  * envctrltwo definitions 
  */
 #define ENV2_FSP_LED_ADDR 	0x7C
 #define ENV2_LED_DISKERR 	(1<<0)
 #define ENV2_LED_PSERR   	(1<<1)
 #define ENV2_LED_TEMPERR 	(1<<2)
 #define ENV2_LED_GENERR  	(1<<3)
 #define ENV2_LED_ACTIVE  	(1<<4)
 #define ENV2_LED_POWER   	(1<<5)
 #define ENV2_FSP_LEDMSK 	0x3F
 
 #define ENV2_FSP_KEY_OFF	0x00
 #define ENV2_FSP_KEY_DIAG       0x40
 #define ENV2_FSP_KEY_ON         0x80
 #define ENV2_FSP_KEY_LOCK       0xC0
 #define ENV2_FSP_KEYMSK         0xC0
 
 #define ENV2_FSP_CTRL_ADDR      0x70
 #define ENV2_FSP_DFLOP_INIT0    0x77
 #define ENV2_FSP_DFLOP_INIT1    0x7F
 #define ENV2_FSP_DEVINTR_INIT0  0xF7
 #define ENV2_FSP_DEVINTR_INIT1  0xFF
 #define ENV2_FSP_INTR_LATCH_CLR 0xFE
 
 #define ENV2_FAN_ADDR 		0x94
 #define ENV2_FAN_PORT 		0x01
 #define ENV2_FAN_MAX  		0xFF
 
 #define ENV2_DISKPRES_ADDR 	0x7A
 #define ENV2_DISKSTAT_ADDR 	0x7E
 #define ENV2_DISK_MAX      	6 	/* disks 0-5 inclusive */
 
 #define ENV2_PS_ADDR 		0x72
 #define ENV2_PS_PRES_MASK	0x03
 #define ENV2_PS_PRES_SHIFT	0
 #define ENV2_PS_PRES(stat, ps)	\
 	(!(((stat & ENV2_PS_PRES_MASK) >> (ENV2_PS_PRES_SHIFT + ps)) & 0x01))
 #define ENV2_PS_ERR_MASK	0x30
 #define ENV2_PS_ERR(stat, ps)	\
 	(!(((stat & ENV2_PS_ERR_MASK) >> (ENV2_PS_ERR_SHIFT + ps)) & 0x01))
 #define ENV2_PS_ERR_SHIFT	4
 #define ENV2_PS_MAX		2	/* PSUs 0-1 inclusive */
 
 #endif /* #ifndef _SPARC64_ENV_ENVCTRLTWO_H */
 
